<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Eloquent\Model;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('NIVEAU', function(Blueprint $table) {
			$table->foreign('cycle_id')->references('id')->on('CYCLE')
						->onDelete('set null')
						->onUpdate('no action');
		});
		Schema::table('CLASSE', function(Blueprint $table) {
			$table->foreign('niveau_id')->references('id')->on('NIVEAU')
						->onDelete('set null')
						->onUpdate('no action');
		});
		Schema::table('CLASSE', function(Blueprint $table) {
			$table->foreign('batiment_id')->references('id')->on('BATIMENT')
						->onDelete('set null')
						->onUpdate('no action');
		});
		Schema::table('student', function(Blueprint $table) {
			$table->foreign('parent_id')->references('id')->on('PARENT')
						->onDelete('set null')
						->onUpdate('no action');
		});
		Schema::table('student', function(Blueprint $table) {
			$table->foreign('classe_id')->references('id')->on('CLASSE')
						->onDelete('set null')
						->onUpdate('no action');
		});
		Schema::table('EVALUATION', function(Blueprint $table) {
			$table->foreign('matiere_id')->references('id')->on('MATIERE')
						->onDelete('set null')
						->onUpdate('no action');
		});
		Schema::table('EMPLOISTEMPS', function(Blueprint $table) {
			$table->foreign('classe_id')->references('id')->on('CLASSE')
						->onDelete('set null')
						->onUpdate('no action');
		});
		Schema::table('PAIEMENT_SCOLARITE', function(Blueprint $table) {
			$table->foreign('classe_id')->references('id')->on('CLASSE')
						->onDelete('set null')
						->onUpdate('no action');
		});
		Schema::table('PAIEMENT_SCOLARITE', function(Blueprint $table) {
			$table->foreign('eleve_id')->references('id')->on('student')
						->onDelete('set null')
						->onUpdate('no action');
		});
		Schema::table('CYCLE', function(Blueprint $table) {
			$table->foreign('anneeScolaire_id')->references('id')->on('ANNEE_SCOLAIRE')
						->onDelete('set null')
						->onUpdate('no action');
		});
	}

	public function down()
	{
		Schema::table('NIVEAU', function(Blueprint $table) {
			$table->dropForeign('NIVEAU_cycle_id_foreign');
		});
		Schema::table('CLASSE', function(Blueprint $table) {
			$table->dropForeign('CLASSE_niveau_id_foreign');
		});
		Schema::table('CLASSE', function(Blueprint $table) {
			$table->dropForeign('CLASSE_batiment_id_foreign');
		});
		Schema::table('student', function(Blueprint $table) {
			$table->dropForeign('student_parent_id_foreign');
		});
		Schema::table('student', function(Blueprint $table) {
			$table->dropForeign('student_classe_id_foreign');
		});
		Schema::table('EVALUATION', function(Blueprint $table) {
			$table->dropForeign('EVALUATION_matiere_id_foreign');
		});
		Schema::table('EMPLOISTEMPS', function(Blueprint $table) {
			$table->dropForeign('EMPLOISTEMPS_classe_id_foreign');
		});
		Schema::table('PAIEMENT_SCOLARITE', function(Blueprint $table) {
			$table->dropForeign('PAIEMENT_SCOLARITE_classe_id_foreign');
		});
		Schema::table('PAIEMENT_SCOLARITE', function(Blueprint $table) {
			$table->dropForeign('PAIEMENT_SCOLARITE_eleve_id_foreign');
		});
		Schema::table('CYCLE', function(Blueprint $table) {
			$table->dropForeign('CYCLE_anneeScolaire_id_foreign');
		});
	}
}